Bug 207035 - unbootable kernel (sata_sil "unknown symbol in module")
unbootable kernel (sata_sil "unknown symbol in module")
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-09-18 17:01 EDT by Zack Cerza
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 10:59:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2006-09-18 17:01:28 EDT
Description of problem:
The kernel hangs on boot because the SATA module fails to load, leaving it with
no root partition.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2647.fc6.x86_64

How reproducible:
Always

Actual results:
Lots of "sata_sil: Unknown symbol foo" messages
Then "insmod: error insterting '/lib/sata_sil.ko': -1 Uknown symbol in module
And later: "Kernel panic - not syncing: Attempted to kill init!"
Comment 1 Dave Jones 2006-09-19 16:58:19 EDT
sounds like a busted initrd.
can you paste your /etc/modprobe.conf ?
Comment 2 Zack Cerza 2006-09-20 12:50:54 EDT
alias scsi_hostadapter sata_sil
alias eth0 tg3
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
options snd-intel8x0 index=0
remove snd-intel8x0 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-intel8x0
Comment 3 Dave Jones 2006-09-28 18:36:20 EDT
looks sensible.

Can you break open the initrd like so..

cp /boot/initrd-2.6.17-1.2647.fc6.img initrd.cpio.gz
gzip -d initrd.cpio.gz
cpio -t < initrd.cpio | grep \.ko

Also, you have the current mkinitrd package installed right ?
Comment 4 Zack Cerza 2006-09-29 13:19:52 EDT
I used initrd-2.6.18-1.2693.fc6.img, since older kernels got removed. The
problem's still there.

lib/uhci-hcd.ko
lib/ohci-hcd.ko
lib/ehci-hcd.ko
lib/ext3.ko
lib/sata_sil.ko

I have mkinitrd-5.1.17-1.x86_64 installed.
Comment 5 Dave Jones 2006-10-05 18:57:49 EDT
hmm, for some reason scsi_mod.ko didn't end up in your initrd.

Peter?
Comment 6 Peter Jones 2007-09-14 11:56:29 EDT
Is this still broken?
Comment 7 Zack Cerza 2007-09-14 12:12:03 EDT
I think I remember which box this happened on, and I think I may even still have
it in the office. I should be able to retest it on 9/24 at the earliest.
Comment 8 Bug Zapper 2008-04-03 14:15:14 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Zack Cerza 2008-04-04 10:59:29 EDT
Can't find the box; If I do and this is still a problem, I'll reopen.

Note You need to log in before you can comment on or make changes to this bug.